--- entries_kache.org_	2005-11-12 04:21:12.968750000 +0900
+++ entries_kache	2005-11-12 05:42:40.890625000 +0900
@@ -216,6 +216,7 @@
 
 	# 記事ファイルを読み取る
 	while ($line = <FILE>) {
+		$line =~ s/\r\n?/\n/g;
 		if ($line =~ /^$meta_timestamp\s*(\d+)/) {
 			# timestampタグがあればそれを使う
 			close FILE;
@@ -275,11 +276,13 @@
 	$new_story .= join("", <FILE>);
 	close FILE;
 
+	$new_story =~ s/\r\n?/\n/g;
 	# dateタグを追加した記事を出力
 	if (open FILE, ">$file"){
 		eval { flock(FILE, 2) };
 		print FILE $new_story;
 		close FILE;
+		utime($indexed_date,$indexed_date,$file);
 	} else {
 		warn "entries_kache: Unable to update date meta-tag on $file\n";
 	}
